OGRE-Next: Ogre::RaySceneQueryListener Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Ogre::RaySceneQueryListener Class Referenceabstract
Core | Component » Scene

Alternative listener class for dealing with RaySceneQuery. More...

`#include <OgreSceneQuery.h>`

Inheritance diagram for Ogre::RaySceneQueryListener:
[legend]

## Public Member Functions
virtual | ~RaySceneQueryListener ()
virtual bool | queryResult (MovableObject *obj, Real distance)=0
| Called when a movable objects intersects the ray.
virtual bool | queryResult (SceneQuery::WorldFragment *fragment, Real distance)=0
| Called when a world fragment is intersected by the ray.

## Detailed Description

Alternative listener class for dealing with RaySceneQuery.

Remarks
  Because the RaySceneQuery returns results in an extra bit of information, namely distance, the listener interface must be customised from the standard SceneQueryListener.

## Constructor & Destructor Documentation

## ◆ ~RaySceneQueryListener()

virtual Ogre::RaySceneQueryListener::~RaySceneQueryListener | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ queryResult() [1/2]

virtual bool Ogre::RaySceneQueryListener::queryResult | ( | MovableObject * | obj,
|  | Real | distance )
| pure virtual

Called when a movable objects intersects the ray.

Remarks
  As with SceneQueryListener, the implementor of this method should return 'true' if further results are required, or 'false' to abandon any further results from the current query.

Implemented in Ogre::RaySceneQuery.

## ◆ queryResult() [2/2]

virtual bool Ogre::RaySceneQueryListener::queryResult | ( | SceneQuery::WorldFragment * | fragment,
|  | Real | distance )
| pure virtual

Called when a world fragment is intersected by the ray.

Remarks
  As with SceneQueryListener, the implementor of this method should return 'true' if further results are required, or 'false' to abandon any further results from the current query.

Implemented in Ogre::RaySceneQuery.

The documentation for this class was generated from the following file:

- OgreSceneQuery.h